## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate notify-rust

Name:           rust-notify-rust
Version:        4.10.0
Release:        %autorelease
Summary:        Show desktop notifications

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/notify-rust
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          notify-rust-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * remove references to examples which are not included in published crates
Patch:          notify-rust-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Show desktop notifications (linux, bsd, mac). Pure Rust dbus client and
server.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-Apache
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/History.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages which
use the "async" feature of the "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+d-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+d-devel %{_description}

This package contains library source intended for building other packages which
use the "d" feature of the "%{crate}" crate.

%files       -n %{name}+d-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dbus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dbus-devel %{_description}

This package contains library source intended for building other packages which
use the "dbus" feature of the "%{crate}" crate.

%files       -n %{name}+dbus-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug_namespace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug_namespace-devel %{_description}

This package contains library source intended for building other packages which
use the "debug_namespace" feature of the "%{crate}" crate.

%files       -n %{name}+debug_namespace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+env_logger-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+env_logger-devel %{_description}

This package contains library source intended for building other packages which
use the "env_logger" feature of the "%{crate}" crate.

%files       -n %{name}+env_logger-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+images-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+images-devel %{_description}

This package contains library source intended for building other packages which
use the "images" feature of the "%{crate}" crate.

%files       -n %{name}+images-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+z-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+z-devel %{_description}

This package contains library source intended for building other packages which
use the "z" feature of the "%{crate}" crate.

%files       -n %{name}+z-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zbus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zbus-devel %{_description}

This package contains library source intended for building other packages which
use the "zbus" feature of the "%{crate}" crate.

%files       -n %{name}+zbus-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require a running dbus session
%cargo_test -- -- --skip realworld
%endif

%changelog
* Fri Nov 17 2023 Fabio Valentini <decathorpe@gmail.com> - 4.10.0-1
- Update to version 4.10.0; Fixes RHBZ#2250166

* Wed Aug 23 2023 Fabio Valentini <decathorpe@gmail.com> - 4.9.0-1
- Update to version 4.9.0; Fixes RHBZ#2233663

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 4.8.0-1
- Update to version 4.8.0; Fixes RHBZ#2128912

* Wed Feb 15 2023 Fabio Valentini <decathorpe@gmail.com> - 4.7.0-1
- Update to version 4.7.0; Fixes RHBZ#2128912

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> - 4.5.8-1
- Update to version 4.5.8; Fixes RHBZ#2050900

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 04 2021 Fabio Valentini <decathorpe@gmail.com> - 4.5.5-1
- Update to version 4.5.5; Fixes RHBZ#2012231

* Mon Sep 27 2021 Fabio Valentini <decathorpe@gmail.com> - 4.5.3-1
- Update to version 4.5.3; Fixes RHBZ#2005102

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 16 2021 Fabio Valentini <decathorpe@gmail.com> - 4.5.2-1
- Update to version 4.5.2.
- Fixes RHBZ#1960260

* Thu May 06 2021 Fabio Valentini <decathorpe@gmail.com> - 4.5.0-1
- Update to version 4.5.0.
- Fixes RHBZ#1955978

* Tue Apr 27 2021 Fabio Valentini <decathorpe@gmail.com> - 4.4.0-1
- Update to version 4.4.0.
- Fixes RHBZ#1953319

* Tue Mar 02 2021 Fabio Valentini <decathorpe@gmail.com> - 4.3.0-1
- Update to version 4.3.0.
- Fixes RHBZ#1933440

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 20:09:14 CET 2021 Igor Raits <igor.raits@gmail.com> - 4.2.2-1
- Initial package

